curl --request GET \
--url https://api.jup.ag/prediction/v1/orders/{orderPubkey} \
--header 'x-api-key: <api-key>'{
"pubkey": "<string>",
"owner": "<string>",
"ownerPubkey": "<string>",
"market": "<string>",
"marketId": "<string>",
"marketIdHash": "<string>",
"eventId": "<string>",
"position": "<string>",
"isYes": true,
"isBuy": true,
"createdAt": 123,
"updatedAt": 123,
"contracts": "<string>",
"maxFillPriceUsd": "<string>",
"maxBuyPriceUsd": "<string>",
"minSellPriceUsd": "<string>",
"filledAt": 123,
"filledContracts": "<string>",
"avgFillPriceUsd": "<string>",
"settled": true,
"orderId": "<string>",
"sizeUsd": "<string>",
"eventMetadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"marketMetadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"eventId": "<string>"
},
"externalOrderId": "<string>",
"bump": 1
}Get Order
Get detailed information about a specific order
curl --request GET \
--url https://api.jup.ag/prediction/v1/orders/{orderPubkey} \
--header 'x-api-key: <api-key>'{
"pubkey": "<string>",
"owner": "<string>",
"ownerPubkey": "<string>",
"market": "<string>",
"marketId": "<string>",
"marketIdHash": "<string>",
"eventId": "<string>",
"position": "<string>",
"isYes": true,
"isBuy": true,
"createdAt": 123,
"updatedAt": 123,
"contracts": "<string>",
"maxFillPriceUsd": "<string>",
"maxBuyPriceUsd": "<string>",
"minSellPriceUsd": "<string>",
"filledAt": 123,
"filledContracts": "<string>",
"avgFillPriceUsd": "<string>",
"settled": true,
"orderId": "<string>",
"sizeUsd": "<string>",
"eventMetadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"marketMetadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"eventId": "<string>"
},
"externalOrderId": "<string>",
"bump": 1
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Order account public key
1Response
Order data
Order account public key
Order owner public key
Order owner public key (alias of owner, use ownerPubkey when available)
Associated market public key
External market identifier used to derive the PDA
Hashed market identifier used for on-chain PDAs
External event identifier
Associated position public key
Current order status
pending, filled, failed True when order is for the YES side
True when order is a buy order
Unix timestamp (seconds) when the order was created
Unix timestamp (seconds) when the order last changed on-chain
Number of contracts (u64 as string)
Maximum fill price in micro USD (u64 as string)
Buyer-specified max fill price (micro USD)
Seller-specified min fill price (micro USD)
Unix timestamp (seconds) when the order was filled (0 when pending)
Number of filled contracts (u64 as string)
Average fill price in micro USD (u64 as string)
Whether the order has been settled on-chain
External order identifier from the venue
Order notional in micro USD (u128 as string)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Client-provided order identifier
x >= 0Was this page helpful?
